Show / Hide Table of Contents

# Struct Synchronization.ReaderWriterLockSlimUpgradableReadLocker

A locker for an upgradable read lock on a ReaderWriterLockSlim that automatically releases when it is disposed. Create this with LockReadUpgradable(ReaderWriterLockSlim).

##### Implements

IDisposable

##### Inherited Members

ValueType.Equals(Object)
ValueType.GetHashCode()
ValueType.ToString()
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetType()

###### Namespace: IPA.Utilities.Async

###### Assembly: IPA.Loader.dll

##### Syntax

    public struct ReaderWriterLockSlimUpgradableReadLocker : IDisposable

### Methods

| Improve this Doc View Source

#### Upgrade()

Creates a locker for a write lock on the ReaderWriterLockSlim associated with this locker, upgrading the current thread's lock.

##### Declaration

    public Synchronization.ReaderWriterLockSlimWriteLocker Upgrade()

##### Returns

Type | Description
--- | ---
Synchronization.ReaderWriterLockSlimWriteLocker | a locker for the new write lock

##### See Also

Synchronization

### Explicit Interface Implementations

| Improve this Doc View Source

#### IDisposable.Dispose()

##### Declaration

    void IDisposable.Dispose()

### Implements

System.IDisposable

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])

### See Also

Synchronization
LockReadUpgradable(ReaderWriterLockSlim)